<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hslf.record Class Hierarchy (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.hslf.record Class Hierarchy (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/model/textproperties/package-tree.html">Prev</a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 class="title">Hierarchy For Package org.apache.poi.hslf.record</h1>
    <span class="packageHierarchyLabel">Package Hierarchies:</span>
    <ul class="horizontal">
        <li><a href="../../../../../overview-tree.html">All Packages</a></li>
    </ul>
</div>
<div class="contentContainer">
    <h2 title="Class Hierarchy">Class Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">org.apache.poi.hslf.record.<a
                        href="../../../../../org/apache/poi/hslf/record/CurrentUserAtom.html"
                        title="class in org.apache.poi.hslf.record"><span
                        class="typeNameLink">CurrentUserAtom</span></a></li>
                <li type="circle">org.apache.poi.ddf.<a
                        href="../../../../../org/apache/poi/ddf/DefaultEscherRecordFactory.html"
                        title="class in org.apache.poi.ddf"><span class="typeNameLink">DefaultEscherRecordFactory</span></a>
                    (implements org.apache.poi.ddf.<a href="../../../../../org/apache/poi/ddf/EscherRecordFactory.html"
                                                      title="interface in org.apache.poi.ddf">EscherRecordFactory</a>)
                    <ul>
                        <li type="circle">org.apache.poi.hslf.record.<a
                                href="../../../../../org/apache/poi/hslf/record/HSLFEscherRecordFactory.html"
                                title="class in org.apache.poi.hslf.record"><span class="typeNameLink">HSLFEscherRecordFactory</span></a>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.hslf.record.<a
                        href="../../../../../org/apache/poi/hslf/record/DocumentAtom.SlideSize.html"
                        title="class in org.apache.poi.hslf.record"><span
                        class="typeNameLink">DocumentAtom.SlideSize</span></a></li>
                <li type="circle">org.apache.poi.ddf.<a href="../../../../../org/apache/poi/ddf/EscherRecord.html"
                                                        title="class in org.apache.poi.ddf"><span class="typeNameLink">EscherRecord</span></a>
                    (implements java.lang.Cloneable)
                    <ul>
                        <li type="circle">org.apache.poi.ddf.<a
                                href="../../../../../org/apache/poi/ddf/EscherClientDataRecord.html"
                                title="class in org.apache.poi.ddf"><span
                                class="typeNameLink">EscherClientDataRecord</span></a>
                            <ul>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/HSLFEscherClientDataRecord.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">HSLFEscherClientDataRecord</span></a>
                                </li>
                            </ul>
                        </li>
                        <li type="circle">org.apache.poi.hslf.record.<a
                                href="../../../../../org/apache/poi/hslf/record/EscherPlaceholder.html"
                                title="class in org.apache.poi.hslf.record"><span
                                class="typeNameLink">EscherPlaceholder</span></a></li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.hslf.record.<a
                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Record</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.hslf.record.<a
                                href="../../../../../org/apache/poi/hslf/record/RecordAtom.html"
                                title="class in org.apache.poi.hslf.record"><span class="typeNameLink">RecordAtom</span></a>
                            <ul>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/AnimationInfoAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">AnimationInfoAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">ColorSchemeAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/Comment2000Atom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Comment2000Atom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/CString.html"
                                        title="class in org.apache.poi.hslf.record"><span
                                        class="typeNameLink">CString</span></a></li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/DocumentAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">DocumentAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/ExControlAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">ExControlAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">ExEmbedAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/ExHyperlinkAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">ExHyperlinkAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/ExMediaAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">ExMediaAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/ExObjListAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">ExObjListAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/ExObjRefAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">ExObjRefAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/ExOleObjAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">ExOleObjAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/FontEntityAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">FontEntityAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">HeadersFootersAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/InteractiveInfoAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">InteractiveInfoAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/MasterTextPropAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">MasterTextPropAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/NotesAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span
                                        class="typeNameLink">NotesAtom</span></a></li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/OEPlaceholderAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">OEPlaceholderAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/OutlineTextRefAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">OutlineTextRefAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/PositionDependentRecordAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">PositionDependentRecordAtom</span></a>
                                    (implements org.apache.poi.hslf.record.<a
                                            href="../../../../../org/apache/poi/hslf/record/PositionDependentRecord.html"
                                            title="interface in org.apache.poi.hslf.record">PositionDependentRecord</a>)
                                    <ul>
                                        <li type="circle">org.apache.poi.hslf.record.<a
                                                href="../../../../../org/apache/poi/hslf/record/DocumentEncryptionAtom.html"
                                                title="class in org.apache.poi.hslf.record"><span class="typeNameLink">DocumentEncryptionAtom</span></a>
                                        </li>
                                        <li type="circle">org.apache.poi.hslf.record.<a
                                                href="../../../../../org/apache/poi/hslf/record/ExOleObjStg.html"
                                                title="class in org.apache.poi.hslf.record"><span class="typeNameLink">ExOleObjStg</span></a>
                                            (implements org.apache.poi.hslf.record.<a
                                                    href="../../../../../org/apache/poi/hslf/record/PersistRecord.html"
                                                    title="interface in org.apache.poi.hslf.record">PersistRecord</a>)
                                        </li>
                                        <li type="circle">org.apache.poi.hslf.record.<a
                                                href="../../../../../org/apache/poi/hslf/record/PersistPtrHolder.html"
                                                title="class in org.apache.poi.hslf.record"><span class="typeNameLink">PersistPtrHolder</span></a>
                                        </li>
                                        <li type="circle">org.apache.poi.hslf.record.<a
                                                href="../../../../../org/apache/poi/hslf/record/UserEditAtom.html"
                                                title="class in org.apache.poi.hslf.record"><span class="typeNameLink">UserEditAtom</span></a>
                                        </li>
                                    </ul>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/PPDrawing.html"
                                        title="class in org.apache.poi.hslf.record"><span
                                        class="typeNameLink">PPDrawing</span></a></li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/PPDrawingGroup.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">PPDrawingGroup</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/RoundTripHFPlaceholder12.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">RoundTripHFPlaceholder12</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span
                                        class="typeNameLink">SlideAtom</span></a></li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/SlidePersistAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">SlidePersistAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/SoundData.html"
                                        title="class in org.apache.poi.hslf.record"><span
                                        class="typeNameLink">SoundData</span></a></li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">SSSlideInfoAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/StyleTextProp9Atom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">StyleTextProp9Atom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/StyleTextPropAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">StyleTextPropAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/TextBytesAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">TextBytesAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/TextCharsAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">TextCharsAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/TextHeaderAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">TextHeaderAtom</span></a>
                                    (implements org.apache.poi.hslf.record.<a
                                            href="../../../../../org/apache/poi/hslf/record/ParentAwareRecord.html"
                                            title="interface in org.apache.poi.hslf.record">ParentAwareRecord</a>)
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/TextRulerAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">TextRulerAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">TextSpecInfoAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/TxInteractiveInfoAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">TxInteractiveInfoAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/TxMasterStyleAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">TxMasterStyleAtom</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/UnknownRecordPlaceholder.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">UnknownRecordPlaceholder</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/VBAInfoAtom.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">VBAInfoAtom</span></a>
                                </li>
                            </ul>
                        </li>
                        <li type="circle">org.apache.poi.hslf.record.<a
                                href="../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                                title="class in org.apache.poi.hslf.record"><span
                                class="typeNameLink">RecordContainer</span></a>
                            <ul>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/AnimationInfo.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">AnimationInfo</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/Comment2000.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Comment2000</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/DocInfoListContainer.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">DocInfoListContainer</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/DummyRecordWithChildren.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">DummyRecordWithChildren</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/EscherTextboxWrapper.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">EscherTextboxWrapper</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbed.html"
                                        title="class in org.apache.poi.hslf.record"><span
                                        class="typeNameLink">ExEmbed</span></a>
                                    <ul>
                                        <li type="circle">org.apache.poi.hslf.record.<a
                                                href="../../../../../org/apache/poi/hslf/record/ExControl.html"
                                                title="class in org.apache.poi.hslf.record"><span class="typeNameLink">ExControl</span></a>
                                        </li>
                                    </ul>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/ExHyperlink.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">ExHyperlink</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/ExMCIMovie.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">ExMCIMovie</span></a>
                                    <ul>
                                        <li type="circle">org.apache.poi.hslf.record.<a
                                                href="../../../../../org/apache/poi/hslf/record/ExAviMovie.html"
                                                title="class in org.apache.poi.hslf.record"><span class="typeNameLink">ExAviMovie</span></a>
                                        </li>
                                    </ul>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/ExObjList.html"
                                        title="class in org.apache.poi.hslf.record"><span
                                        class="typeNameLink">ExObjList</span></a></li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/ExVideoContainer.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">ExVideoContainer</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/FontCollection.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">FontCollection</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">HeadersFootersContainer</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/InteractiveInfo.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">InteractiveInfo</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/PositionDependentRecordContainer.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">PositionDependentRecordContainer</span></a>
                                    (implements org.apache.poi.hslf.record.<a
                                            href="../../../../../org/apache/poi/hslf/record/PositionDependentRecord.html"
                                            title="interface in org.apache.poi.hslf.record">PositionDependentRecord</a>)
                                    <ul>
                                        <li type="circle">org.apache.poi.hslf.record.<a
                                                href="../../../../../org/apache/poi/hslf/record/BinaryTagDataBlob.html"
                                                title="class in org.apache.poi.hslf.record"><span class="typeNameLink">BinaryTagDataBlob</span></a>
                                        </li>
                                        <li type="circle">org.apache.poi.hslf.record.<a
                                                href="../../../../../org/apache/poi/hslf/record/Document.html"
                                                title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Document</span></a>
                                        </li>
                                        <li type="circle">org.apache.poi.hslf.record.<a
                                                href="../../../../../org/apache/poi/hslf/record/DummyPositionSensitiveRecordWithChildren.html"
                                                title="class in org.apache.poi.hslf.record"><span class="typeNameLink">DummyPositionSensitiveRecordWithChildren</span></a>
                                        </li>
                                        <li type="circle">org.apache.poi.hslf.record.<a
                                                href="../../../../../org/apache/poi/hslf/record/Environment.html"
                                                title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Environment</span></a>
                                        </li>
                                        <li type="circle">org.apache.poi.hslf.record.<a
                                                href="../../../../../org/apache/poi/hslf/record/SheetContainer.html"
                                                title="class in org.apache.poi.hslf.record"><span class="typeNameLink">SheetContainer</span></a>
                                            <ul>
                                                <li type="circle">org.apache.poi.hslf.record.<a
                                                        href="../../../../../org/apache/poi/hslf/record/MainMaster.html"
                                                        title="class in org.apache.poi.hslf.record"><span
                                                        class="typeNameLink">MainMaster</span></a></li>
                                                <li type="circle">org.apache.poi.hslf.record.<a
                                                        href="../../../../../org/apache/poi/hslf/record/Notes.html"
                                                        title="class in org.apache.poi.hslf.record"><span
                                                        class="typeNameLink">Notes</span></a></li>
                                                <li type="circle">org.apache.poi.hslf.record.<a
                                                        href="../../../../../org/apache/poi/hslf/record/Slide.html"
                                                        title="class in org.apache.poi.hslf.record"><span
                                                        class="typeNameLink">Slide</span></a></li>
                                            </ul>
                                        </li>
                                    </ul>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/SlideListWithText.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">SlideListWithText</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/Sound.html"
                                        title="class in org.apache.poi.hslf.record"><span
                                        class="typeNameLink">Sound</span></a></li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/SoundCollection.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">SoundCollection</span></a>
                                </li>
                                <li type="circle">org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/VBAInfoContainer.html"
                                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">VBAInfoContainer</span></a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.hslf.record.<a
                        href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.html"
                        title="class in org.apache.poi.hslf.record"><span
                        class="typeNameLink">SlideAtomLayout</span></a></li>
                <li type="circle">org.apache.poi.hslf.record.<a
                        href="../../../../../org/apache/poi/hslf/record/SlideListWithText.SlideAtomsSet.html"
                        title="class in org.apache.poi.hslf.record"><span class="typeNameLink">SlideListWithText.SlideAtomsSet</span></a>
                </li>
                <li type="circle">org.apache.poi.hslf.record.<a
                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html"
                        title="class in org.apache.poi.hslf.record"><span
                        class="typeNameLink">TextSpecInfoRun</span></a></li>
            </ul>
        </li>
    </ul>
    <h2 title="Interface Hierarchy">Interface Hierarchy</h2>
    <ul>
        <li type="circle">org.apache.poi.hslf.record.<a
                href="../../../../../org/apache/poi/hslf/record/ParentAwareRecord.html"
                title="interface in org.apache.poi.hslf.record"><span class="typeNameLink">ParentAwareRecord</span></a>
        </li>
        <li type="circle">org.apache.poi.hslf.record.<a
                href="../../../../../org/apache/poi/hslf/record/PersistRecord.html"
                title="interface in org.apache.poi.hslf.record"><span class="typeNameLink">PersistRecord</span></a></li>
        <li type="circle">org.apache.poi.hslf.record.<a
                href="../../../../../org/apache/poi/hslf/record/PositionDependentRecord.html"
                title="interface in org.apache.poi.hslf.record"><span
                class="typeNameLink">PositionDependentRecord</span></a></li>
        <li type="circle">org.apache.poi.hslf.record.<a
                href="../../../../../org/apache/poi/hslf/record/RecordTypes.RecordConstructor.html"
                title="interface in org.apache.poi.hslf.record"><span
                class="typeNameLink">RecordTypes.RecordConstructor</span></a>&lt;T&gt;
        </li>
    </ul>
    <h2 title="Enum Hierarchy">Enum Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;,
                    java.io.Serializable)
                    <ul>
                        <li type="circle">org.apache.poi.hslf.record.<a
                                href="../../../../../org/apache/poi/hslf/record/RecordTypes.html"
                                title="enum in org.apache.poi.hslf.record"><span class="typeNameLink">RecordTypes</span></a>
                        </li>
                        <li type="circle">org.apache.poi.hslf.record.<a
                                href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.SpellInfoEnum.html"
                                title="enum in org.apache.poi.hslf.record"><span class="typeNameLink">TextSpecInfoRun.SpellInfoEnum</span></a>
                        </li>
                        <li type="circle">org.apache.poi.hslf.record.<a
                                href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                                title="enum in org.apache.poi.hslf.record"><span class="typeNameLink">SlideAtomLayout.SlideLayoutType</span></a>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/model/textproperties/package-tree.html">Prev</a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
